[arch-commits] Commit in kdebase-workspace/trunk (3 files)

Pierre Schmitz pierre at archlinux.org
Tue Aug 5 13:39:14 EDT 2008


    Date: Tuesday, August 5, 2008 @ 13:39:14
  Author: pierre
Revision: 7993

upgpkg: kdebase-workspace 4.1.0-5

Added:
  kdebase-workspace/trunk/systemtraywidget.patch
Modified:
  kdebase-workspace/trunk/PKGBUILD
  kdebase-workspace/trunk/kdm-zsh-profile.patch

------------------------+
 PKGBUILD               |   10 ++++++----
 kdm-zsh-profile.patch  |    5 ++---
 systemtraywidget.patch |   20 ++++++++++++++++++++
 3 files changed, 28 insertions(+), 7 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-05 17:07:34 UTC (rev 7992)
+++ PKGBUILD	2008-08-05 17:39:14 UTC (rev 7993)
@@ -19,19 +19,21 @@
 backup=('usr/share/config/kdm/kdmrc')
 source=("ftp://ftp.archlinux.org/other/kde/${pkgname}-${pkgver}.tar.bz2"
         'kdm-zsh-profile.patch' 'kdm' 'kde.pam' 'kde-np.pam' 'kscreensaver.pam'
-        'agent-startup.sh' 'agent-shutdown.sh')
+        'agent-startup.sh' 'agent-shutdown.sh' 'systemtraywidget.patch')
 md5sums=('d8dbe16f5807536a429bbf9fd33e82a5'
-         '40f5556820d52a14e9d9722a5a8a491e'
+         '721e97031b62aee8914e8617e86f9235'
          '5d80164932e0d44d8b802d3929a004ab'
          '10a490653b002e6f9e7476ff9d37c011'
          '552337fd9a3982d809ea16c7f0033d42'
          '367a3538f54db71f108b34cfa31088ac'
          'c963ef6e37c9051119972a58c67f05fb'
-         '18e8d01124b19f7df2937c06e177bf7f')
+         '18e8d01124b19f7df2937c06e177bf7f'
+         '808a6efad838d15ba1cd81d8bf05820c')
 
 build() {
 	cd $srcdir/${pkgname}-${pkgver}
-	patch -Np1 -i ../kdm-zsh-profile.patch || return 1
+	patch -p0 -i ${srcdir}/kdm-zsh-profile.patch || return 1
+	patch -p0 -i ${srcdir}/systemtraywidget.patch || return 1
 	cd ../
 	mkdir build
 	cd build

Modified: kdm-zsh-profile.patch
===================================================================
--- kdm-zsh-profile.patch	2008-08-05 17:07:34 UTC (rev 7992)
+++ kdm-zsh-profile.patch	2008-08-05 17:39:14 UTC (rev 7993)
@@ -1,6 +1,5 @@
-diff -Nura kdebase-3.5.9/kdm/kfrontend/genkdmconf.c kdebase-3.5.9.new/kdm/kfrontend/genkdmconf.c
---- kdebase-3.5.9/kdm/kfrontend/genkdmconf.c	2008-02-13 09:40:49.000000000 +0000
-+++ kdebase-3.5.9.new/kdm/kfrontend/genkdmconf.c	2008-05-16 12:47:36.000000000 +0000
+--- kdm/kfrontend/genkdmconf.c	2008-02-13 09:40:49.000000000 +0000
++++ kdm/kfrontend/genkdmconf.c	2008-05-16 12:47:36.000000000 +0000
 @@ -662,7 +662,7 @@
  "    [ -d /etc/zsh ] && zdir=/etc/zsh || zdir=/etc\n"
  "    zhome=${ZDOTDIR:-$HOME}\n"

Added: systemtraywidget.patch
===================================================================
--- systemtraywidget.patch	                        (rev 0)
+++ systemtraywidget.patch	2008-08-05 17:39:14 UTC (rev 7993)
@@ -0,0 +1,20 @@
+--- plasma/applets/systemtray/systemtraywidget.cpp	2008/08/05 13:54:31	842540
++++ plasma/applets/systemtray/systemtraywidget.cpp	2008/08/05 13:57:28	842541
+@@ -52,6 +52,17 @@
+     // Override spacing set by the current style
+     m_mainLayout->setContentsMargins(0, 0, 0, 0);
+     m_mainLayout->setSpacing(4);
++
++    // Widgets added to the parent before this one may end up
++    // on top of this one if their native windows are created
++    // after this one, so raise() to make sure this widget is
++    // on top.
++    // raise() -- doesn't work for some reason
++    foreach (QObject *sibling, parent->children()) {
++        if (sibling != this && sibling->isWidgetType()) {
++            static_cast<QWidget*>(sibling)->lower();
++        }
++    }
+ }
+ 
+ void SystemTrayWidget::init()




More information about the arch-commits mailing list